org.firebirdsql.jdbc

## Interface FBObjectListener.StatementListener

- All Known Implementing Classes:
    InternalTransactionCoordinator, InternalTransactionCoordinator.AbstractTransactionCoordinator
  Enclosing interface:
    FBObjectListener

      public static interface FBObjectListener.StatementListener

  Listener for the events generated by statements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executionStarted(FBStatement stmt)` Notify listener that statement execution is being started.
    `FBConnection` | `getConnection()` Get the connection object to which this listener belongs to.
    `void` | `statementClosed(FBStatement stmt)` Notify the listener that statement was closed.
    `void` | `statementCompleted(FBStatement stmt)` Notify the listener that statement is completed.
    `void` | `statementCompleted(FBStatement stmt, boolean success)` Notify the listener that statement is completed and tell whether execution was successfull or not.

- - ### Method Detail

    - #### getConnection

          FBConnection getConnection()
                              throws java.sql.SQLException

      Get the connection object to which this listener belongs to.
      Returns:
        instance of `FBConnection`
      Throws:
        `java.sql.SQLException` - if something went wrong.

    - #### executionStarted

          void executionStarted(FBStatement stmt)
                         throws java.sql.SQLException

      Notify listener that statement execution is being started.
      Parameters:
        `stmt` - statement that is being executed.
      Throws:
        `java.sql.SQLException` - if something went wrong.

    - #### statementClosed

          void statementClosed(FBStatement stmt)
                        throws java.sql.SQLException

      Notify the listener that statement was closed.
      Parameters:
        `stmt` - statement that was closed.
      Throws:
        `java.sql.SQLException`

    - #### statementCompleted

          void statementCompleted(FBStatement stmt)
                           throws java.sql.SQLException

      Notify the listener that statement is completed. This is shortcut method for `statementCompleted(AbstractStatement, true)`.
      Parameters:
        `stmt` - statement that was completed.
      Throws:
        `java.sql.SQLException`

    - #### statementCompleted

          void statementCompleted(FBStatement stmt,
                                  boolean success)
                           throws java.sql.SQLException

      Notify the listener that statement is completed and tell whether execution was successfull or not.
      Parameters:
        `stmt` - statement that was completed.
        `success` - `true` if completion was successfull.
      Throws:
        `java.sql.SQLException` - if an error occured.

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.